<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Cancel ServiceType
 * @subpackage Services
 */
class Cancel extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named CancelClinicSBRegister
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param CancelClinicSBRegister $cancelClinicSBRegister
     * @return CancelClinicSBRegisterResponse|bool
     */
    public function CancelClinicSBRegister($cancelClinicSBRegister)
    {
        try {
            $this->setResult($this->getSoapClient()->CancelClinicSBRegister($cancelClinicSBRegister));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named CancelClinicGetSBRegInfo
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param CancelClinicGetSBRegInfo $cancelClinicGetSBRegInfo
     * @return CancelClinicGetSBRegInfoResponse|bool
     */
    public function CancelClinicGetSBRegInfo($cancelClinicGetSBRegInfo)
    {
        try {
            $this->setResult($this->getSoapClient()->CancelClinicGetSBRegInfo($cancelClinicGetSBRegInfo));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return CancelClinicGetSBRegInfoResponse|CancelClinicSBRegisterResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
