<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Clinic ServiceType
 * @subpackage Services
 */
class Clinic extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named ClinicSBRegister
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param ClinicSBRegister $clinicSBRegister
     * @return ClinicSBRegisterResponse|bool
     */
    public function ClinicSBRegister($clinicSBRegister)
    {
        try {
            $this->setResult($this->getSoapClient()->ClinicSBRegister($clinicSBRegister));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ClinicGetSBRegInfo
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param ClinicGetSBRegInfo $clinicGetSBRegInfo
     * @return ClinicGetSBRegInfoResponse|bool
     */
    public function ClinicGetSBRegInfo($clinicGetSBRegInfo)
    {
        try {
            $this->setResult($this->getSoapClient()->ClinicGetSBRegInfo($clinicGetSBRegInfo));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named ClinicSBPayInfoSave
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param ClinicSBPayInfoSave $clinicSBPayInfoSave
     * @return ClinicSBPayInfoSaveResponse|bool
     */
    public function ClinicSBPayInfoSave($clinicSBPayInfoSave)
    {
        try {
            $this->setResult($this->getSoapClient()->ClinicSBPayInfoSave($clinicSBPayInfoSave));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return ClinicGetSBRegInfoResponse|ClinicSBPayInfoSaveResponse|ClinicSBRegisterResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
